<?php

namespace Drupal\gleab\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class GleabConfiguration extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'gleab_configuration_form';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'gleab.gleab_configuration',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Default settings.
    $config = $this->config('gleab.gleab_configuration');
    // Gleab API key.
    $form['gleab_api_key'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Gleab API key'),
      '#default_value' => $config->get('gleab_api_key'),
      '#description' => $this->t('Give your Gleab API key.'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('gleab.gleab_configuration');
    $config->set('gleab_api_key', $form_state->getValue('gleab_api_key'));
    $config->save();
    return parent::submitForm($form, $form_state);
  }

}
